# Upgrade Instance - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-upgrade-instance

# Upgrade Instance

PUT

/

gpus

/

v2

/

instances

/

{instance_id}

/

upgrade

Try it

Upgrade Instance

cURL

```
curl --request PUT \
--url https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"image": "registry.example.com/namespace/new-image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"save_data": true
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade"payload = { "image": "registry.example.com/namespace/new-image:tag", "registry_auth_id": "registry-auth-id", "entrypoint": "", "command": "", "envs": [ { "key": "ENV_NAME", "value": "ENV_VALUE" } ], "save_data": True}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.put(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'PUT', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ image: 'registry.example.com/namespace/new-image:tag', registry_auth_id: 'registry-auth-id', entrypoint: '', command: '', envs: [{key: 'ENV_NAME', value: 'ENV_VALUE'}], save_data: true })};fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => json_encode([ 'image' => 'registry.example.com/namespace/new-image:tag', 'registry_auth_id' => 'registry-auth-id', 'entrypoint' => '', 'command' => '', 'envs' => [ [ 'key' => 'ENV_NAME', 'value' => 'ENV_VALUE' ] ], 'save_data' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade"	payload := strings.NewReader("{\n \"image\": \"registry.example.com/namespace/new-image:tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"save_data\": true\n}")	req, _ := http.NewRequest("PUT", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.put("https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"image\": \"registry.example.com/namespace/new-image:tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"save_data\": true\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/instances/{instance_id}/upgrade")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Put.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"image\": \"registry.example.com/namespace/new-image:tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"save_data\": true\n}"response = http.request(request)puts response.read_body
```

200

```
{}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-instance-id)

instance_id

string

required

Instance ID. String, length: 1-255 characters.

#### Body

application/json

[​](#body-image)

image

string

required

Image address. String, length: 1-500 characters.

Example:

`"registry.example.com/namespace/new-image:tag"`

[​](#body-registry-auth-id)

registry_auth_id

string

Saved registry authentication ID. String, length: 0-255 characters.

Example:

`"registry-auth-id"`

[​](#body-entrypoint)

entrypoint

string

Container entrypoint.

Example:

`""`

[​](#body-command)

command

string

Container startup command.

Example:

`""`

[​](#body-envs)

envs

object[]

Environment variable list.

Show child attributes

[​](#body-save-data)

save_data

boolean

Whether to keep existing data when upgrading or resetting the instance.

Example:

`true`

#### Response

200 - application/json

OK

The response is of type `object`.

Last modified on June 26, 2026
